Loading...
Searching...
No Matches
forward_list.h File Reference
`#include "platform.h"`
`#include "algorithm.h"`
`#include "debug_count.h"`
`#include "error_handler.h"`
`#include "exception.h"`
`#include "functional.h"`
`#include "initializer_list.h"`
`#include "iterator.h"`
`#include "memory.h"`
`#include "nullptr.h"`
`#include "placement_new.h"`
`#include "pool.h"`
`#include "static_assert.h"`
`#include "type_traits.h"`
`#include "utility.h"`
`#include <stddef.h>`
`#include "private/minmax_push.h"`
`#include "private/minmax_pop.h"`

Go to the source code of this file.

## Classes

class | etl::forward_list_exception
class | etl::forward_list_full
class | etl::forward_list_empty
class | etl::forward_list_iterator
class | etl::forward_list_no_pool
class | etl::forward_list_base
struct | etl::forward_list_base::node_t
| The node element in the forward_list. More...
class | etl::iforward_list< T >
struct | etl::iforward_list< T >::data_node_t
| The data node element in the forward_list. More...
class | etl::iforward_list< T >::iterator
| iterator. More...
class | etl::iforward_list< T >::const_iterator
| const_iterator More...
class | etl::forward_list< T, MAX_SIZE_ >
class | etl::forward_list_ext< T >
| Template deduction guides. More...

## Namespaces

namespace | etl

## Functions

template<typename T>
bool | etl::operator== (const etl::iforward_list< T > &lhs, const etl::iforward_list< T > &rhs)
template<typename T>
bool | etl::operator!= (const etl::iforward_list< T > &lhs, const etl::iforward_list< T > &rhs)
template<typename T>
bool | etl::operator< (const etl::iforward_list< T > &lhs, const etl::iforward_list< T > &rhs)
template<typename T>
bool | etl::operator> (const etl::iforward_list< T > &lhs, const etl::iforward_list< T > &rhs)
template<typename T>
bool | etl::operator<= (const etl::iforward_list< T > &lhs, const etl::iforward_list< T > &rhs)
template<typename T>
bool | etl::operator>= (const etl::iforward_list< T > &lhs, const etl::iforward_list< T > &rhs)

## Variables

template<typename T, const size_t MAX_SIZE_>
ETL_CONSTANT size_t | etl::forward_list< T, MAX_SIZE_ >::MAX_SIZE